Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.event.dom.client
Interface ClickHandler

All Superinterfaces:
  EventHandler

All Known Implementing Classes:
  ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedTableListener

    public interface ClickHandler

extends EventHandler

Handler for `ClickEvent` events.

Method Summary
`void` | `onClick(ClickEvent event)` Called when a native click event is fired.

Method Detail

### onClick

    void onClick(ClickEvent event)

  Called when a native click event is fired.

  Parameters:
    `event` - the `ClickEvent` that was fired

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD